% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model.R
\name{evaluate_comp_simple}
\alias{evaluate_comp_simple}
\alias{evaluate_comp_simple.component_list}
\alias{evaluate_comp_simple.bru_model}
\alias{[.comp_simple_list}
\title{Compute simplified component mappings}
\usage{
evaluate_comp_simple(...)

\method{evaluate_comp_simple}{component_list}(components, input, inla_f = FALSE, ..., options = NULL)

\method{evaluate_comp_simple}{bru_model}(model, input, ...)

\method{[}{comp_simple_list}(x, i)
}
\arguments{
\item{input}{A list of named lists of component inputs}

\item{inla_f}{Controls the input data interpretations}

\item{options}{A \code{bru_options} object. The log verbosity options
are used.}

\item{model}{A \code{bru_model} object}

\item{x}{\code{comp_simple_list} object from which to extract element(s)}

\item{i}{indices specifying elements to extract}
}
\value{
A list (class 'comp_simple_list_list') of named lists (class
'comp_simple_list') of \code{bru_mapper} objects, one for each included
component
}
\description{
Computes individual \code{bru_mapper_taylor} objects for included linear
components for each model likelihood, and keeps non-linear mappers intact.
}
\section{Functions}{
\itemize{
\item \code{[}: Subsetting of comp_simple_list objects, retaining class

}}
\keyword{internal}
